<script setup lang="ts">
import type { Employee } from '@/types/Employee'
import { useEmployStore } from "@/stores/employee";
import { onMounted } from 'vue';
const employeeStore = useEmployStore();
const staticType: string = "";
const orderby = "";
const props = defineProps<{
  employee: Employee
}>()
onMounted(() => {
  employeeStore.getEmployees()
})
employeeStore.onMounted
const emit = defineEmits<{
  selectedEmployee: [Employee]
}>()
function setStaticType(input: string) {
  orderby == input;
}
// if (staticType == "workHours") {
//   setStaticType("workHours")
// } else if (staticType == "productSales") {
//   setStaticType("productSales")
// } else if (staticType == "overall") {
//   setStaticType("overall")
// }
</script>
<template>
  <!-- add hovering -->
<!-- <v-card height="20"></v-card> -->
  <v-card width="150" height="180" elevation="3">
    
      <v-img :src="'http://localhost:4000/images/employees/' + props.employee.image" width="150" height="150">
        </v-img>
      <div style="text-align: center">{{ employee.name }}</div>
      <!-- <div style="text-align: center">{{ employee.stat }} ชั่วโมง</div> -->
  </v-card>

</template>
